public interface SchemeScanner {
    static public final int EOF = 0;
    static public final int BOOL = 1;
    static public final int INT = 2;
    static public final int STRING = 3;
    static public final int SYMBOL = 4;
    static public final int OPEN = 10;
    static public final int CLOSE = 11;
    static public final int ID = 12;

    public boolean more() throws java.io.IOException;
    public void nextToken() throws java.io.IOException;
    public int getToken();
    public String getValue();
    public String getSourceName();
    public int getLine();
}
